Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047447
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajoralways2021-07-22 17:232021-07-29 09:21
ReporterjarmendarizView Statuspublic 
Assigned Toagonzalez 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047447: Cannot add product to a Return order after a removal

DescriptionAfter removing some products from a return order, if you try to add another product, the following error message appears:

Cannot destructure property 'qty' of 'org_openbravo_core2_src_core_OB__WEBPACK_IMPORTED_MODULE_0__.default.App.State.getState(...).Ticket.lines.find(...)' as it is undefined.;
Steps To ReproduceSee this video: https://youtu.be/DeAAkPYBL3A [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0130816)
hgbot (developer)
2021-07-27 22:24

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/641 [^]
(0130855)
hgbot (developer)
2021-07-28 18:03

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 124316882c062fd20a12bb4bb63b45b48c1da3c9
Author: Angel González <angel.gonzalez@smfconsulting.es>
Date: 2021-07-28T16:03:15+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/124316882c062fd20a12bb4bb63b45b48c1da3c9 [^]

fixes ISSUE-47447: Reverse the quantity when certain conditions are met on return orders to avoid errors

---
M web-jspack/org.openbravo.pos2/src/model/ticket/user-actions/AddProduct.js
---
(0130856)
hgbot (developer)
2021-07-28 18:03

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/641 [^]

- Issue History
Date Modified Username Field Change
2021-07-22 17:23 jarmendariz New Issue
2021-07-22 17:23 jarmendariz Assigned To => Retail
2021-07-22 17:23 jarmendariz Triggers an Emergency Pack => No
2021-07-23 11:40 dmiguelez Status new => acknowledged
2021-07-23 11:40 dmiguelez Regression date => 2021-08-06
2021-07-23 11:40 dmiguelez Resolution time => 1628200800
2021-07-23 11:40 dmiguelez Regression date 2021-08-06 =>
2021-07-27 15:51 dmiguelez Assigned To Retail => agonzalez
2021-07-27 22:24 hgbot Note Added: 0130816
2021-07-28 17:51 guilleaer Status acknowledged => scheduled
2021-07-28 18:03 hgbot Resolution open => fixed
2021-07-28 18:03 hgbot Status scheduled => resolved
2021-07-28 18:03 hgbot Note Added: 0130855
2021-07-28 18:03 hgbot Note Added: 0130856
2021-07-29 09:21 dmiguelez Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker